<?php
if (!defined('ABSPATH')) exit;
?>
<div class="wrap">
    <h2><?php echo get_admin_page_title() ?></h2>
    <?php
    $args = array(
        'post_type' => 'product',
        'meta_query' => array(
            array(
                'key' => 'xway_external_id',
                'compare' => 'NOT IN',
                'value' => array('')
            ),
        ),
    );

    $connected = new WP_Query($args);


    $args = array(
        'post_type' => 'product',
        'meta_query' => array(
            array(
                'key' => 'xway_external_id',
                'compare' => 'NOT EXISTS'
            ),
        )
    );

    $products = new WP_Query($args);

    ?>
    <ul class="subsubsub">
        <li class="connected"><a href="admin.php?page=xway-products&xway_status=connected" <?php if (($connected->found_posts > 0 && !isset($_GET['xway_status'])) || (isset($_GET['xway_status']) && $_GET['xway_status'] == "connected")) echo 'class="current"'; ?>><?php echo __('Connected products', 'xway-integration'); ?> <span class="count">(<?php echo $connected->found_posts ?>)</span></a> |</li>
        <li class="not_connected"><a href="admin.php?page=xway-products&xway_status=not_connected" <?php if (($connected->found_posts <= 0 && !isset($_GET['xway_status'])) || (isset($_GET['xway_status']) && $_GET['xway_status'] == "not_connected")) echo 'class="current"'; ?>><?php echo __('Products not connected', 'xway-integration'); ?> <span class="count">(<?php echo $products->found_posts ?>)</span></a></li>
    </ul>
    <table class="wp-list-table widefat fixed striped products">
        <thead>
            <tr>
                <th scope="col" width="350" id="name" class="manage-column column-name"><?php echo __('Product name', 'xway-integration'); ?></th>
                <th scope="col" id="description" class="manage-column column-desc"><?php echo __('Description', 'xway-integration'); ?></th>
                <th scope="col" width="350" id="external_id" class="manage-column column-external_id"><?php echo __('External ID', 'xway-integration'); ?></th>
            </tr>
        </thead>
        <tbody id="the-list" data-wp-lists="list:products">
            <?php
            if ($connected->posts && ($connected->found_posts > 0 && !isset($_GET['xway_status'])) || (isset($_GET['xway_status']) && $_GET['xway_status'] == "connected")) {
                foreach ($connected->posts as $key => $post) {
            ?>
                    <tr id="products-<?php echo wp_kses($post->ID, 'strip'); ?>">
                        <td class="name column-name has-row-actions column-primary" data-colname="">
                            <strong>
                                <a href="<?php echo get_site_url() . '/wp-admin/post.php?post=' . $post->ID . '&action=edit'; ?>"><?php echo wp_kses(get_the_title($post->ID), 'post') ?></a>
                            </strong>
                        </td>
                        <td class="desc column-desc" data-colname=""><?php echo wp_kses(get_the_excerpt($post->ID), 'post') ?></td>
                        <td class="external_id column-external_id" data-colname=""><?php echo wp_kses(get_post_meta($post->ID, 'xway_external_id', true), 'strip') ?></td>
                    </tr>
                <?php } ?>
            <?php } ?>
            <?php
            if ($products->posts && (($connected->found_posts <= 0 && !isset($_GET['xway_status'])) || (isset($_GET['xway_status']) && $_GET['xway_status'] == "not_connected"))) {
                foreach ($products->posts as $key => $post) {
            ?>
                    <tr id="products-<?php echo wp_kses($post->ID, 'strip'); ?>" post_id="<?php echo wp_kses($post->ID, 'strip'); ?>">
                        <td class="name column-name has-row-actions column-primary" data-colname="">
                            <strong>
                                <a href="<?php echo get_site_url() . '/wp-admin/post.php?post=' . $post->ID . '&action=edit'; ?>"><?php echo wp_kses(get_the_title($post->ID), 'post') ?></a>
                            </strong>
                        </td>
                        <td class="desc column-desc" data-colname=""><?php echo wp_kses(get_the_excerpt($post->ID), 'post') ?></td>
                        <td class="external_id column-external_id" data-colname=""><input type="text" name="xway_external_id" id="xway_external_id"><button type="submit" class="button button-primary button" onclick="save_external_id(this)">save</button></td>
                    </tr>
                <?php } ?>
            <?php } ?>
        </tbody>
        <tfoot>
            <tr>
                <th scope="col" id="name" class="manage-column column-name"><?php echo __('Product name', 'xway-integration'); ?></th>
                <th scope="col" id="description" class="manage-column column-desc"><?php echo __('Description', 'xway-integration'); ?></th>
                <th scope="col" id="products" class="manage-column column-external_id"><?php echo __('External ID', 'xway-integration'); ?></th>
            </tr>
        </tfoot>
    </table>
    <script>
        function save_external_id(El) {
            Parent = El.parentElement,
                External_id = Parent.querySelector('input[name="xway_external_id"]').value,
                Product_id = Parent.parentElement.attributes.post_id.value;
        }
    </script>
</div>